Package com.opensymphony.module.sitemesh.html.rules

# Class MSOfficeDocumentPropertiesRule

java.lang.Object
com.opensymphony.module.sitemesh.html.BasicRule
com.opensymphony.module.sitemesh.html.BlockExtractingRule
com.opensymphony.module.sitemesh.html.rules.MSOfficeDocumentPropertiesRule

All Implemented Interfaces:
  `TagRule`

public class MSOfficeDocumentPropertiesRule extends BlockExtractingRule
Extracts the extra properties saved in HTML from MS Office applications (Word and Excel), such as Author, Company, Version, etc.

Author:
  Joe Walnes

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`inDocumentProperties`
`private final PageBuilder`
`page`

### Fields inherited from class com.opensymphony.module.sitemesh.html.BasicRule

`context`

## Constructor Summary

Constructors
Constructor
Description
`MSOfficeDocumentPropertiesRule(PageBuilder page)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`end(Tag tag)`
`void`
`process(Tag tag)`
`boolean`
`shouldProcess(String name)`
Called by the HTMLProcessor to determine if a rule should be called for a given tag.
`protected void`
`start(Tag tag)`

### Methods inherited from class com.opensymphony.module.sitemesh.html.BlockExtractingRule

`createBuffer`

### Methods inherited from class com.opensymphony.module.sitemesh.html.BasicRule

`currentBuffer, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### page

private final PageBuilder page

### inDocumentProperties

private boolean inDocumentProperties

## Constructor Details

### MSOfficeDocumentPropertiesRule

public MSOfficeDocumentPropertiesRule(PageBuilder page)

## Method Details

### shouldProcess

public boolean shouldProcess(String name)
Description copied from interface: `TagRule`
Called by the HTMLProcessor to determine if a rule should be called for a given tag. The name parameter will always be passed in lowercase.

Specified by:
  `shouldProcess` in interface `TagRule`
Overrides:
  `shouldProcess` in class `BasicRule`

### process

public void process(Tag tag)

Specified by:
  `process` in interface `TagRule`
Overrides:
  `process` in class `BlockExtractingRule`

### start

protected void start(Tag tag)

Overrides:
  `start` in class `BlockExtractingRule`

### end

protected void end(Tag tag)

Overrides:
  `end` in class `BlockExtractingRule`